
QGIS Application - Bug report #9375

Simplification causes GEOS exceptions when layer has labels

2014-01-20 03:12 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17975

Description

I'm running into an issue with the new rendering simplification option. With this enabled on a layer which has labels shown the log is

showing a lot of GEOS exceptions:

Exception: IllegalArgumentException: Invalid number of points in LinearRing found 2 - must be 0 or >= 4

Exception: Unknown exception thrown

Happy to provide test datasets if required.

History

#1 - 2014-01-20 04:34 AM - Alvaro Huarte

Hi Nyall, are you using current master ? I am conversing with Jürgen Fischer, the commit (#3305a6c77903f1ef9cce012f52ff49c8e35f269a) has the ogr

simplification broken

#2 - 2014-01-20 04:41 AM - Alvaro Huarte

- Assignee set to Alvaro Huarte

#3 - 2014-01-20 01:40 PM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Category set to Vectors

#4 - 2014-01-22 03:43 AM - Alvaro Huarte

Hi Nyall, the pull #1087 was merged, can you test your issue please ?

#5 - 2014-01-22 09:55 AM - Alvaro Huarte

Hi Nyall, if you are testing a postgis layer, then these error comes from a bug in ST_Simplify function of postgis ( http://trac.osgeo.org/postgis/ticket/1698 ).

This bug collapses the geometries when the tolerance is too much big.

If you are using postgis, this patch fixes it:

https://github.com/qgis/QGIS/pull/1099

#6 - 2014-01-23 05:03 AM - Alvaro Huarte

- Resolution set to fixed/implemented
- Pull Request or Patch supplied changed from No to Yes

#7 - 2014-01-27 02:27 PM - Alvaro Huarte

- Status changed from Open to Feedback

#8 - 2014-06-22 02:40 AM - Giovanni Manghi

- Status changed from Feedback to Closed

the patch has been merged.
